from django.conf.urls.defaults import patterns, url, include
from analyses.analysisbase import urls
from analyses.deviations.views import views
from utils.urlhelpers import decorated_patterns
from utils.permissions import permission_required

def get_urls():

    namespace = 'deviations'
    permission = 'deviations.display_deviationscenarios'

    urlpatterns = decorated_patterns('', permission_required(permission),

        url(r'^scenarios/(?P<object_id>\d+)/dependencies/add/$', views['dependency']['add_to_scenario'], name='%s_scenario_add_dependency' % namespace),

        url(r'^lopapaths/$', views['lopapath']['lopapaths'], name='%s_lopapaths' % namespace),
        url(r'^lopapath/(?P<object_id>\d+)/$', views['lopapath']['display'], name='%s_lopapath' % namespace),
        url(r'^lopapath/(?P<object_id>\d+)/pdf/$', views['lopapath']['report'], name='%s_lopapath_report' % namespace),

        url(r'^dependencies/(?P<object_id>\d+)/delete/$',  views['dependency']['delete'], name='%s_dependency_delete' % namespace),
        url(r'^dependencies/(?P<object_id>\d+)/$',  views['dependency']['display'], name='%s_dependency' % namespace),
    )

    urlpatterns += urls.get_urls(namespace, permission, views)

    return patterns('',
        url(r'^deviations/', include(urlpatterns))
    )
