from django.utils.translation import ugettext_lazy as _
from django.core.urlresolvers import reverse
from django.conf import settings

def base_templates(request):
    return {'TEMPLATE_BASE': 'base.html', 'IS_POPUP': False}

def popup_base_template(request):
    return {'TEMPLATE_BASE': 'popup/base.html', 'IS_POPUP': True}

def navbar(request):
    if not request.user.is_authenticated():
        return {}
    return {'navbar': [
        {'href': reverse('hazards'), 'label': _('Substances and reactions')},
        {'href': reverse('installations'), 'label': _('Analyses')},
    ]}

def adminmedia(request):
    return {'ADMIN_MEDIA_PREFIX': settings.ADMIN_MEDIA_PREFIX}

def mediaroot(request):
    return {'MEDIA_ROOT': settings.MEDIA_ROOT}

def projectname(request):
    return {'PROJECTNAME': settings.PROJECTNAME}