"""
Helpers for report generation

"""

from django.conf import settings
from django.core.mail import EmailMessage
from django.shortcuts import render_to_response
##from django.http import HttpResponse
from django.template import loader, Context, Template
##from django.utils.encoding import smart_str
from django.utils import translation
from django.utils.translation import ugettext as _
from django.utils.safestring import mark_safe

import ho.pisa as pisa
import cStringIO as StringIO


##def Report(request, context, template, filename):
##    """
##    View that returns an rtf document.
##    """
##    response = HttpResponse(mimetype='application/rtf')
##    response['Content-Disposition'] = 'attachment; filename=%s' % filename
##    t = loader.get_template('%s' % template)
##    c = Context(context)
##    response.write(smart_str(t.render(c), encoding='iso-8859-1', errors='replace'))
##    return response

def _get_context(language):
    return {
        'MEDIA_ROOT': settings.MEDIA_ROOT,
        'PROJECTNAME': settings.PROJECTNAME,
        'LANGUAGES': settings.LANGUAGES,
        'LANGUAGE_CODE': language,
    }


def make_pdf(body_strings, css_files, language=u'en', outertemplate='outerreport.html'):
    cur_language = translation.get_language()
    try:
        translation.activate(language)
    except:
        pass

    context = _get_context(language)
    body = mark_safe('\n'.join(body_strings))
    css = ['report.css',]
    css.extend(css_files)
    style = mark_safe('\n'.join([loader.render_to_string(item, Context(context)) for item in css]))
    context.update({
        'style': style,
        'body': body,
    })
    html = loader.render_to_string(outertemplate, Context(context))

    translation.activate(cur_language)

    result = StringIO.StringIO()
    source = StringIO.StringIO(html.encode("ISO-8859-1"))
    pdf = pisa.pisaDocument(source, result)
    if not pdf.err:
        return result.getvalue()
    raise Exception('There was an error creating the report.')

def make_pdf_body(context, language=u'en', template='crud/report.html'):
    extra_context = _get_context(language)
    extra_context.update(context)
    cur_language = translation.get_language()
    try:
        translation.activate(language)
    except:
        pass
    body = loader.render_to_string(template, Context(extra_context))
    translation.activate(cur_language)
    return body

def send_mail(pdf, user):
    # send mail
    email = EmailMessage(
        u'Planop report',
        u'Please find your report in annex.',
        'reports@planop.be',
        [user.email,],
    )
    email.attach('report.pdf', pdf, 'application/pdf')
    email.send()
    # redirect to mail sent page

