"""

forms for versioning app

"""
from utils.versioning import models as app_models
from django import forms
from utils import forms as utils_forms
from utils import fields as utils_fields
from utils import lists as utils_lists
from utils import widgets as utils_widgets
from utils import sheets
import django.contrib.admin.widgets as adminwidgets
from django.utils.translation import ugettext_lazy as _

class VersionForm(utils_forms.ModelForm):
    class Meta:
        model = app_models.Version
        attrs = {
            'name': {'size':75},
        }
        fields = ('name', 'published')

class VersionSheet(sheets.Sheet):
    class Meta:
        model = app_models.Version

class PublishVersionForm(forms.Form):
    name = forms.CharField(max_length=100, required=True, label=_('Version name'),
        widget = forms.TextInput(attrs={'size': 75}),
        )
    def __init__(self, instance=None, *args, **kwargs):
        super(PublishVersionForm, self).__init__(*args, **kwargs)
